Bug 243892 - [NEW PORT] devel/p5-Package-Util-Lite This module provides Perl package-related utilities
Summary: [NEW PORT] devel/p5-Package-Util-Lite This module provides Perl package-relat...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks: 243897
  Show dependency treegraph
 
Reported: 2020-02-05 05:44 UTC by Zane C. Bowers-Hadley
Modified: 2020-08-16 02:22 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (3.01 KB, patch)
2020-02-05 06:11 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (3.16 KB, patch)
2020-04-08 02:32 UTC, Zane C. Bowers-Hadley
no flags Details | Diff
svn diff (3.14 KB, patch)
2020-04-08 03:18 UTC, Zane C. Bowers-Hadley
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2020-02-05 05:44:22 UTC
Porting this in preparation of of porting Data::Unixish in preparation of porting ncps.
Comment 1 Zane C. Bowers-Hadley 2020-02-05 06:11:24 UTC
Created attachment 211366 [details]
svn diff

derp forgot to attach the diff
Comment 2 Zane C. Bowers-Hadley 2020-04-08 02:32:51 UTC
Created attachment 213172 [details]
svn diff

now with RUN and BUILD depends
Comment 3 Zane C. Bowers-Hadley 2020-04-08 03:18:35 UTC
Created attachment 213180 [details]
svn diff

clean up RUN depends
Comment 4 commit-hook freebsd_committer 2020-07-05 07:57:29 UTC
A commit references this bug:

Author: danfe
Date: Sun Jul  5 07:56:57 UTC 2020
New revision: 541256
URL: https://svnweb.freebsd.org/changeset/ports/541256

Log:
  This package provides package-related utilities for Perl.

  PR:		243892
  Submitted by:	Zane C. Bowers-Hadley

Changes:
  head/devel/Makefile
  head/devel/p5-Package-Util-Lite/
  head/devel/p5-Package-Util-Lite/Makefile
  head/devel/p5-Package-Util-Lite/distinfo
  head/devel/p5-Package-Util-Lite/pkg-descr
  head/devel/p5-Package-Util-Lite/pkg-plist
Comment 5 Alexey Dokuchaev freebsd_committer 2020-07-05 14:06:33 UTC
Committed with minor modifications as ports r541256, thanks.  I've dropped explicit dependency on `devel/p5-Exporter' since looks like it's part of the default Perl distributions these days.